Skip to main content
GET
Get Product Collection

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

productCollectionId
string
required

A unique product collection ID.

Example:

"pc_41V4DiQQO8YGqj0J2oZD57j4"

Response

Returns a product collection object if a valid identifier was provided in the path.

Response body schema for GET v1/product-collections/{productCollectionId}.

id
string
required

Product collection ID.

name
string
required

Unique user-defined product collection name.

Example:

"All Products"

type
enum<string>
required

Describes whether the product collection is dynamic (products come in and leave based on set criteria) or static (manually selected products).

Available options:
STATIC,
AUTO_UPDATE
created_at
string<date-time>
required

Timestamp representing the date and time when the product collection was created. The value is shown in the ISO 8601 format.

Example:

"2021-12-09T12:51:29.898Z"

object
enum<string>
default:products_collection
required

The type of the object represented by JSON. This object stores information about the static product collection.

Available options:
products_collection
filter
object

Defines a set of criteria and boundary conditions for an AUTO_UPDATE product collection type.

products
Product Collections Item Products Item · object[]

Defines a set of products for a STATIC product collection type.

Last modified on April 13, 2026